#include<stdio.h>
#include "types.h"
#include "mystring.h"
#include "pixmap.h"
#include "window.h"
#include "defaults.h"

void kql_defaults()
{
// Soubory a adresare:

  DATADIR_LOCAL = "./kraluk-data/";
#ifdef IDIR
  DATADIR = IDIR;
#else
  DATADIR = "/usr/local/share/kraluk-data/";
#endif
  IMGDIR = "/images/";
  MAPDIR  = "/images/maps/";
  BGDIR   = "backgrounds/";
  ANIPDIR = "animposts/";
  INHOMEDIR = ".kraluk";

  IMGSUFFIX = ".xpm";
  MAPSUFFIX = ".xpm";
  SAVESUFFIX = ".kqs";
  SAVELAST = "lastpos";
  SAVECONF = "lastconf";

  UPSTR = "/up";
  DOWNSTR = "/down";
  LEFTSTR = "/left";
  RIGHTSTR = "/right";
  ANIPSTR = "/anim";

// Udaje o oknu:

  WINDOW_NAME = "Kralovsky ukol";
  ICON_NAME = "kraluk";

// Jazyky:

  LANGCAT = "languages";
  LANGDIR = "/languages/";
  LANGFILE = "_languages.txt";

  INPUTSUFFIX = "_input.txt";
  OUTPUTSUFFIX = "_output.txt";

// Editace textu:

  FONTNAME = "-*-helvetica-bold-r-normal-*-25-*-*-*-*-*-iso8859-2";
  HOT     =  4;         // horni okraj textu
  DOT     =  HOT;       // dolni okraj textu
  LOT     =  HOT;       // levy okraj textu
  POT     =  LOT;       // pravy okraj textu
  STRKAL  =  30;        // strkani kursoru doleva
  STRKAP  =  STRKAL;    // strkani kursoru doprava
  KURSIR  =  4;         // sirka kursoru

// Vyskakovaci okno:

  POPUPSMALLFONT  = "-*-helvetica-bold-r-normal--20-*-*-*-*-*-iso8859-2";
  POPUPBIGFONT    = "-*-helvetica-bold-r-normal--34-*-*-*-*-*-iso8859-2";
  POPUPBIGWIDTH   = 800;
  POPRAMOKR       = 5;
  POPRAMSIR       = 2;
  POPHOT          = 5;
  POPDOT          = POPHOT;
  POPLOT          = POPHOT;
  POPPOT          = POPLOT;
  POPTEXTLOKR     = 5;
  INTERLINESKIP   = 2;
  INTERCOLUMNSKIP = 20;
  SELECTOKR       = 1;

  DEF_POP_SIRKA = 0.8;
  DEF_POP_VYSKA = 0.7;
  DEF_POP_X = 0.5;
  DEF_POP_Y = 0.5;

  UINVPOMER = 0.5;
  UINVSIRKA = 0.5;

// Predefinovatelny zbytek:

  OKRAJ = 3;
  MINRATIO = 1;
  MAXRATIO = 20;
  ANIMPRIOR = -50;
  AUTOPRIOR = 50;
  IMAGRAT = 1;

// Startovni promenne

  fullscreened = 0;
  // unfullratio = 0;
  okrajtext = 0;
  ratio = 2;
}
