#include "kraluk.h"

static void restart()
{
  set_pol(pol[4][3]);

  initprom();
  vetyslova();
  vytvorpredmety();

  panacek = vytvorpost(22, 85, DOLU, 3, 0, 0, 0);

  zmenanip(panacek, chozeni);
  ovlpost = panacek;
  normal_z(panacek, NULL, NULL);  
}

int main (int argc, char **argv)
{
  kql_defaults();
  kql_init(argc, argv);

  registrujpf();
  nactigbarvy();
  nactianipy();
  nastavpolicka();
  identstring = "Kralovsky ukol 1";
  setFPSs(1000.0, 700.0, 400.0, 200.0, 100.0, 70.0, -50.0, 25.0, 15.0,
	  9.0, 6.0, 3.0, 2.0, 1.5, 0.);

  kql_start(&restart);

  return 0;
}
